net.i2p.router

## Class OutNetMessagePool

- java.lang.Object
- - net.i2p.router.OutNetMessagePool

-     public class OutNetMessagePool
      extends Object

  Maintain a pool of OutNetMessages destined for other routers, organized by priority, expiring messages as necessary. This pool is populated by anything that wants to send a message, and the communication subsystem periodically retrieves messages for delivery. Actually, this doesn't 'pool' anything, it calls the comm system directly. Nor does it organize by priority. But perhaps it could someday.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutNetMessagePool(RouterContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(OutNetMessage msg)` Add a new message to the pool

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutNetMessagePool

          public OutNetMessagePool(RouterContext context)

  - ### Method Detail

    - #### add

          public void add(OutNetMessage msg)

      Add a new message to the pool